jEdit Maya Editor Plugin 1.7.1 (maya script)

jEdit plugin which replaces Maya's script editor

Screen1

License Type:

Freeware

File ID:

3645

File Size:

27.8 KB

Created / Updated:

Sep 13, 2005 / Nov 09, 2011

Owner:

rbublitz   More free downloads from this user See users marketplace items See this users portfolio Send a Private Message

Platforms:

linux, windows

Downloaded:

7,298

Maya:

Tags:


Dashboard_avatar
Jan 09, 2006
Post id: 1014
Report this comment to moderators [SPAM]

I expanded the archive but can't find the readme.txt for installation instructions.

View Jason Parks's profile
Jan 17, 2006
Post id: 1020
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

I like it. But no readme and the .bsh gives errors when I load jEdit.

Dashboard_avatar
Jan 13, 2006
Post id: 1021
Report this comment to moderators [SPAM]

Yes we dont haev any readme...i am a very new user of Jedit how it will work ??/

Dashboard_avatar
May 01, 2007
Post id: 1970
Report this comment to moderators [SPAM]

Each jEdit release requires the latest version of Java. All plugins also would require recompilation with that latest version. So this version of jEdit Maya Editor 1.7 is compatible with jEdit 4.3pre13. I'm not sure what the issues with the Mac are - never used it.

File Author
Dashboard_avatar
May 02, 2007
Post id: 1973
Report this comment to moderators [SPAM]

With this latest version, it keeps saying plugin error

C:Program FilesjEditjarsMayaEditor.jar:
Cannot start: java.lang.UnsupportedClassVersionError: Bad version number in .class file. Try updating to a newer version of the plugin.

***To solve the problem, make sure you have the latest java download from sun java's website***

I thought I had the latest java one since I downloaded it 3 weeks ago, but it looks like they released a newer one.

View CharlieWales 's profile
May 04, 2007
Post id: 1980
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

Needs the lastest Java Runtime Environment in order to load properly. Tested with JRE 1.6.0_01. There are other plugins in order to send maya commands but with this one you get feedback from the script editor right into jEdit in a separate buffer. Great job! Only thing I don't like is the fact that the feedback buffer is automatically displayed replacing your current buffer when you have your work area split in two panels (minor issues).

Dashboard_avatar
Aug 24, 2007
Post id: 2297
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

Unfortunately it doesnt work with jedit on mac, it requests jedit 4.3 pre 9 or later but when you use 4.3 pre 9 or later it returns an error "Bad version number in class file".

View Iosif Kefalas's profile
Apr 11, 2008
Post id: 2848
Report this comment to moderators [SPAM]

I get the same error "Bad version number in class file". Seems there is an problem with the MayaEditor.jar Jedit 4.3 pre 13 OSX 10.4.11 PPC

Dashboard_avatar
Apr 18, 2008
Post id: 2866
Report this comment to moderators [SPAM]

I had the same error with "badclass" on 1.7 (can't update java on company's linux network...), so rolled back to an old 1.4 version I downloaded ages ago. jEdit can talk to Maya 8.5 but doesn't get any messages back...

Also despite putting path to maya help docs, "display docs" doesn't work either. Do I have to use v1.5 for it to work with maya 8.5 & if so how do I get it...?

great idea, wish it worked fully :(

cheers!

Dashboard_avatar
Aug 09, 2008
Post id: 3111
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

I realized that by default an older version of java RE was used to run jedit which lead to the error message.
Try using the link to the correct java runtime environment. It works here with 1.6.0_07 and jedit 4.3_pre14:
Startup jedit:
C:\Program Files\Java\jre1.6.0_07\bin\javaw.exe -jar "C:\Program Files\jEdit\jedit.jar"

Dashboard_avatar
Feb 11, 2009
Post id: 3672
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

You'll notice how this plugin specifies Java Runtime 6. You're thinking, "Yea, and I've installed JRE 6, but it still won't work!" Well, for whatever reason, the default for JRE is still running version 5 unless you change it.

So, go into Java Preferences (Applications/Utilities/Java) and move Java SE 6 to the top of both lists (click and drag).

You may have to restart jEdit, Java, or the computer, but you should now be able to get this plugin working.

View Dan Lauer's profile
Aug 27, 2009
Post id: 8071
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

This is awesome. Exactly what I was looking for.
Be sure to read the tutorial for this which is located on this site, (though the link is broken since the site switched to creativecrash, so search for it). If you follow the installation insructions in the tutorial, step by step, it works like a champ.

Thank you.

Dashboard_avatar
Nov 24, 2009
Post id: 9243
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

i cannot get this to work with maya 2009/2010. i did all the steps, and ultimately plugins>maya editor>display docs works (after i changed the directory from 8.5 to 2010)...BUT when i try to send anything to maya, mel or python range, nothing happens (no error just nothing)

if i open the activity log, i do get three lines everytime that say 'IOException: java.net.ConnectException: Connection refused: connect " but i dont know if thats my issue. I have the lastest version of Java and firewall turned off.

wasted alot of time on this so far and would really appreciate it if anyone has any ideas! thanks.

Dashboard_avatar
Mar 13, 2010
Post id: 10493
Report this comment to moderators [SPAM]

i got the same error brett did. "display docs" works fine once i changed the directories paths, but that's all. when i do an "execute mel range", jedit lags for something like 3 seconds, and then 3 lines appear in the activity log : "IOException: java.net.ConnectException: Connection refused: connect".
i use maya 2010, windows 7 x64, java 1.6.0_17 and jedit 4.3.1
i tried to change the port number both in the mel script and in jedit plugin options, but the same thing append ...
if anyone could help me !
thanks a lot !

Dashboard_avatar
May 06, 2010
Post id: 11065
Report this comment to moderators [SPAM]

hmm.. I have the same issue.. With WinXP 32bit, jedit 4.3.1, everything still works fine. With Vista 64, same version of jedit, I got it to work for a while, a few weeks, and all of a sudden it stopped working. Same error, just do nothing with the same activity log... Not sure why and I am trying to figure out how it went from working to not...

Also, I use Sidekick with ctags for displaying both mel and python procs and variables does work.. but once in a while it will be blank and I have to end up quitting jedit, go to the Task Manager, and end process for javaw.exe. Afterwards, I restart jedit and it will work again... just kind of unstable..

With all these issues, I am thinking about switching to a different editor. But most still require a lot of setup to get it to work.. I might try Eclipse but its such a hassle editor that is very project centric. Anyone have tried Mapy?

Dashboard_avatar
Jul 20, 2010
Post id: 11867
Report this comment to moderators [SPAM]

Using Python and 2011, the execute command causes jEdit to lock up (WinXP x64, JRE build 1.6.0_20-b02).
I realize that things have changed in 2011, so I can live without that, but what I'd like to get working is the display of the Python Docs. The Mel Docs are working fine using infoViewer internal, but nothing happens when I try to display pythonDocs.
Mel path is C:\Program Files\Autodesk\Maya2011\docs\Maya2011\en_US\Commands\
Py path is C:\Program Files\Autodesk\Maya2011\docs\Maya2011\en_US\CommandsPython\
Thanks.

View DangerWeenie's profile
Sep 21, 2010
Post id: 12514
Report this comment to moderators [SPAM]

can't get this to work using JSE 6 on OSX Leopard 10.5.8 & jEdit 4.3.2 - same error as everyone else - wrong version

if you go to jEdit->about jEdit, it reports "jEdit 4.3.2 using JRE 1.5.0_24", though I've specified J SE 6 as the first one in applications->utilities->java preferences.

Anyone with a similar problem?

Dashboard_avatar
Dec 12, 2010
Post id: 13269
Report this comment to moderators [SPAM]

Unfortunately, I couldn't get it to work on OS X 10.4.11 Tiger with Maya 7 (OK, it's a bit old...).
jEdit gave me some Java Version related error messages. I'd really appreciate, to get an older version which would support my configuration.

Dashboard_avatar
Feb 14, 2011
Post id: 13809
Report this comment to moderators [SPAM]

"Each jEdit release requires the latest version of Java. All plugins also would require recompilation with that latest version. So this version of jEdit Maya Editor 1.7 is compatible with jEdit 4.3pre13. I'm not sure what the issues with the Mac are - never used it."

So with 4.4pre1 being the latest version as of this message, do you have plans to re-compile it ?

Dashboard_avatar
Oct 12, 2012
Post id: 16959
Report this comment to moderators [SPAM]

I finished installing, but i can't find the "maya editor" plugin at jedit----plugins menu, on win 74, maya2011........how can i fix it?

Write a Review

People who have favorited this file